package przyklady;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import sklep.model.Product;

public class Odczyt1_JedenProdukt {

	public static void main(String[] args) {
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("sklep");
		EntityManager em = emf.createEntityManager();
		System.out.println("Udało się połączyć, em = " + em);
		
		Product product = em.find(Product.class, 1);
		System.out.println("Odczytany produkt: " + product);
		System.out.println(product.getProductName() + " za cenę " + product.getPrice());
		em.close();
		emf.close();
	}

}
